> ## Documentation Index
> Fetch the complete documentation index at: https://whitebit-mintlify-fix-broken-links-1774051868.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Orderbook

<Note>
  Public order book responses exclude Retail Price Improvement (RPI) orders. Private active order endpoints and private WebSocket streams return RPI orders. The exchange UI order book (web and mobile) displays RPI orders.
</Note>


## OpenAPI

````yaml /openapi/public/http-v4.yaml GET /api/v4/public/orderbook/{market}
openapi: 3.0.3
info:
  title: Public HTTP API V4
  description: >
    WhiteBIT Public HTTP API V4 for market data and trading information.

    Base URL: https://whitebit.com

    All endpoints return time in Unix-time format.

    All endpoints return either a JSON object or array.

    Use HTTP method GET for API calls.

    Send parameters as query string when an endpoint requires them.


    <Warning>

    Rate limit: 2000 requests/10 sec for most endpoints (specific limits noted
    per endpoint).

    </Warning>
  version: 4.0.0
servers:
  - url: https://whitebit.com
    description: WhiteBIT Global Server
  - url: https://whitebit.eu
    description: WhiteBIT EU Server
security: []
tags:
  - name: Public API V4
    description: Public endpoints for market data, trading information, and platform status
paths:
  /api/v4/public/orderbook/{market}:
    get:
      tags:
        - Public API V4
      summary: Orderbook
      description: >
        The endpoint retrieves the current [order book](/glossary#order-book) as
        two arrays ([bids](/glossary#bid) / [asks](/glossary#ask)) with
        additional parameters.


        <Note>

        The API caches the response for 100 ms

        </Note>


        <Warning>

        Rate limit 600 requests/10 sec.

        </Warning>
      parameters:
        - name: market
          in: path
          required: true
          description: Market pair name
          schema:
            type: string
            example: BTC_USDT
        - name: limit
          in: query
          required: false
          description: >-
            Orders depth quantity: 0 - 100. Not defined or 0 will return 100
            entries.
          schema:
            type: integer
            minimum: 0
            maximum: 100
            default: 100
            example: 100
        - name: level
          in: query
          required: false
          description: >-
            Optional parameter that controls the aggregation level. Level 0 –
            default, no aggregation. Levels 1–5 provide increasing aggregation
            of the order book.
          schema:
            type: integer
            minimum: 0
            maximum: 5
            example: 2
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OrderbookResponse'
        default:
          description: Error response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorV4'
components:
  schemas:
    OrderbookResponse:
      type: object
      properties:
        ticker_id:
          type: string
          description: Market Name
          example: BTC_PERP
        timestamp:
          type: integer
          description: Current timestamp
          example: 1594391413
        asks:
          type: array
          description: Array of ask orders
          items:
            type: array
            items:
              type: string
            minItems: 2
            maxItems: 2
            example:
              - '9184.41'
              - '0.773162'
            description: >-
              [price, quantity] — price in quote currency, quantity in base
              currency
        bids:
          type: array
          description: Array of bid orders
          items:
            type: array
            items:
              type: string
            minItems: 2
            maxItems: 2
            example:
              - '9181.19'
              - '0.010873'
            description: >-
              [price, quantity] — price in quote currency, quantity in base
              currency
    ErrorV4:
      type: object
      properties:
        success:
          type: boolean
          example: false
        message:
          type: string
          description: Error message
          example: ERROR MESSAGE
        params:
          type: array
          items:
            type: string
          example: []

````